function::uaddr
Prev | Chapter 2. Context Functions | Next

## Name

function::uaddr — User space address of current running task

## Synopsis

        uaddr:long()

## Arguments

None

## Description

Returns the address in userspace that the current task was at when the probe occurred. When the current running task isn't a user space thread, or the address cannot be found, zero is returned. Can be used to see where the current task is combined with `usymname` or `usymdata`. Often the task will be in the VDSO where it entered the kernel.

Prev | Up | Next
function::u_register | Home | function::ubacktrace